Delete a CRT template
curl -X DELETE "https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "DELETE"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "DELETE"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "DELETE"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "DELETE"
}`)
req, err := http.NewRequest("DELETE", "https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "DELETE"
}'
response = http.request(request)
puts response.body
{
"result": "success"
}
DELETE
/drm/crt-templates/{templateuuid}DELETE
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
templateuuidstring
RequiredUnique identifier (UUID) of the CRT template, as returned by the list and create endpoints.
Format: uuid
Content-Typestring
RequiredThe media type of the request body
Options: application/json
_METHODstring
RequiredMust be set to DELETE to trigger CRT template deletion.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
templateuuidstring
RequiredUnique identifier (UUID) of the CRT template, as returned by the list and create endpoints.
Example:
c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34Body
application/json
Responses
resultstring
Operation outcome.
Allowed values:
successerrorWas this page helpful?